%define realfilename hdf5-1.6.3-patch
Summary:	Hierarchical Data Format Library
Name:		HDF5
Version:	1.6.3
Release:	2.PU_IAS.1
License:	BSD-like (see COPYING)
Group:		Scientific/Libraries
Source:		ftp://hdf.ncsa.uiuc.edu/HDF5/%{realfilename}/src/%{realfilename}.tar.gz
URL:		http://hdf.ncsa.uiuc.edu/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	byacc flex gcc-g77 groff HDF netcdf netcdf-devel

%description
HDF is a multi-object file format that facilitates the transfer of various
types of scientific data between machines and operating systems. 
HDF allows self-definitions of data content and easy extensibility for
future enhancements or compatibility with other standard formats.
HDF includes Fortran and C calling interfaces, and utilities to
prepare raw image of data files or for use with other NCSA software.

The HDF library contains interfaces for storing and retrieving compressed or
uncompressed 8-bit and 24=bit raster images with palettes,
n-Dimensional scientific datasets and binary tables. AN interface is also
included that allows arbitrary grouping of other HDF objects.

#%package util
#Summary:	HDF utilities and test data files
#Group:		Graphics

#%description util
#This package contains utilities for HDF data manipulation and
#test data files.

%package doc
Summary:        Documentation for Hierarchical Data Format Library
Group:          Documentation

%description doc
This package contains documentation for Hierarchical Data 
Format Library.

%prep
%setup -q -n %{realfilename}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{_prefix} --enable-cxx --enable-threadsafe --enable-stream-vfd --with-pthread=/usr/include,%{_libdir} --with-hdf4=/usr/include,%{_libdir} --srcdir=`pwd` --enable-linux-lfs --with-szlib --with-ssl
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir} $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_includedir}
%makeinstall
# fix the mess with example progs, not elegant but it works
mv examples example-original
mv $RPM_BUILD_ROOT/usr/doc/hdf5/examples/ .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README.txt MANIFEST
%{_libdir}/lib*
%{_includedir}/*
%{_bindir}/*
#%{_mandir}/*

#%files util
#%defattr(-,root,root)
#%doc COPYING README
#%dir %{_datadir}/hdf
#%dir %{_datadir}/hdf/samples
#%{_bindir}/*
#%attr(644,root,root) %{_datadir}/hdf/samples/*
#
%files doc
%defattr(-,root,root)
%doc release_docs examples doc/html

%changelog
* Mon Feb 21 2005 Josko Plazonic <plazonic@math.princeton.edu>
- version upgrade

* Tue Dec 04 2001 Josko Plazonic <plazonic@math.princeton.edu>
- first build

